# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-lirc
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Linux Infrared Remote Control python module
Name: python-module-lirc
Version: 0.0.5
Release: alt1_15
License: GPLv2+
Group: Development/Python
URL: http://pylirc.mccabe.nu/
Source0: http://downloads.sf.net/pylirc/pylirc-%{version}.tar.gz
Source1: python-lirc-README
Source2: python-lirc-API
Source3: python-lirc-sample-simple.py
Source4: python-lirc-sample-multithread.py
BuildRequires: python-devel liblirc-devel
Provides: pylirc = %{version}-%{release}
Source44: import.info

%description
pyLirc is a module for Python that interacts with lirc to give Python programs
the ability to receive commands from remote controls.


%prep
%setup -q -n pylirc-%{version}


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# Install our docs for later inclusion with %%doc
%{__install} -p -m 0644 %{SOURCE1} README
%{__install} -p -m 0644 %{SOURCE2} API
%{__install} -p -m 0644 %{SOURCE3} sample-simple.py
%{__install} -p -m 0644 %{SOURCE4} sample-multithread.py


%files
%doc API PKG-INFO README sample-simple.py sample-multithread.py
%{python_sitelibdir}/pylircmodule.so
%{python_sitelibdir}/pylirc-*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1_15
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1_14
- initial fc import

